package com.unis.detectionnum.server.dao;

import java.util.List;

import org.springframework.stereotype.Repository;

import com.unis.detectionnum.common.vo.AlarmGenerateMainVO;
import com.unis.detectionnum.server.entity.TcAlarmGenerateMainDO;

@Repository
public interface TcAlarmGenerateMainDao {
    int deleteByPrimaryKey(String generateNo);

    int insert(TcAlarmGenerateMainDO record);

    int insertSelective(TcAlarmGenerateMainDO record);

    TcAlarmGenerateMainDO selectByPrimaryKey(String generateNo);

    int updateByPrimaryKeySelective(TcAlarmGenerateMainDO record);

    int updateByPrimaryKey(TcAlarmGenerateMainDO record);

	/** 
	 * @Title: selectAGMainListByQuery 
	 * @Description: 条件查询告警规则列表信息
	 * @param alarmGenerateMainVO
	 * @return List<TcAlarmGenerateMainDO>
	 * @throws 
	 */
	List<TcAlarmGenerateMainDO> selectAGMainListByQuery(AlarmGenerateMainVO alarmGenerateMainVO);
}